- prettier banner
[packages/xorg-driver-video-nvidia.git] / xorg-driver-video-nvidia.spec
index 3fa42a70276e5a1785ebee67e1596c6fd68d1f41..d02ae5b7c60eb4ba96c7808a486d5afc4f20ded1 100644 (file)
@@ -2,11 +2,12 @@
 # Conditional build:
 %bcond_without dist_kernel     # without distribution kernel
 %bcond_without smp             # without smp packages
+%bcond_without kernel          # without kernel packages
 %bcond_with    verbose         # verbose build (V=1)
 %bcond_with    tls             # install libraries with tls support
 #
 %define                _nv_ver         1.0
-%define                _nv_rel         6106
+%define                _nv_rel         6111
 %define                _min_x11        6.7.0
 %define                _rel            2
 #
@@ -19,9 +20,9 @@ License:      nVidia Binary
 Vendor:                nVidia Corp.
 Group:         X11/XFree86
 Source0:       http://download.nvidia.com/XFree86/Linux-x86/%{_nv_ver}-%{_nv_rel}/NVIDIA-Linux-x86-%{_nv_ver}-%{_nv_rel}-pkg1.run
-# Source0-md5: 5432f919f0211ce36b854d87108d7db0
+# Source0-md5: 51e83be46f83c52102ccb8995b54f4e2
 Source1:       http://download.nvidia.com/XFree86/Linux-x86_64/%{_nv_ver}-%{_nv_rel}/NVIDIA-Linux-x86_64-%{_nv_ver}-%{_nv_rel}-pkg2.run
-# Source1-md5: 024f21a3fa134bee8339adac64bdc77a
+# Source1-md5: 6c7b0c8b3ce5c34186e0c80042e6d046
 Patch0:                %{name}-gcc34.patch
 URL:           http://www.nvidia.com/object/linux.html
 BuildConflicts:        XFree86-nvidia
@@ -31,6 +32,7 @@ BuildRequires:        %{kgcc_package}
 BuildRequires: rpmbuild(macros) >= 1.153
 BuildRequires: sed >= 4.0
 BuildRequires: textutils
+#BuildRequires:        X11-devel >= %{_min_x11}        # disabled for now
 Requires:      X11-Xserver
 Requires:      X11-libs >= %{_min_x11}
 Requires:      X11-modules >= %{_min_x11}
@@ -39,7 +41,6 @@ Provides:     X11-OpenGL-core
 Provides:      X11-OpenGL-libGL
 Provides:      XFree86-OpenGL-core
 Provides:      XFree86-OpenGL-libGL
-Provides:      XFree86-driver-nvidia
 Obsoletes:     Mesa
 Obsoletes:     X11-OpenGL-core
 Obsoletes:     X11-OpenGL-libGL
@@ -97,7 +98,8 @@ sterownik
 %package progs
 Summary:       Tools for advanced control of nVidia graphic cards
 Summary(pl):   Narz├¬dzia do zarz┬▒dzania kartami graficznymi nVidia
-Group:         Application/System
+Group:         Applications/System
+Obsoletes:     XFree86-driver-nvidia-progs
 Requires:      %{name} = %{version}-%{release}
 
 %description progs
@@ -234,7 +236,7 @@ install nvidia-smp.ko \
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%post  
+%post
 /sbin/ldconfig
 cat << EOF
 
@@ -242,8 +244,8 @@ cat << EOF
  *                                                     *
  *  NOTE:                                              *
  *  You must install:                                  *
- *  kernel-video-nvidia-%{version}-%{release}                       *
- *  for this driver to work correctly                  *
+ *  kernel(24)(-smp)-video-nvidia-%{version}             *
+ *  for this driver to work                            *
  *                                                     *
  *******************************************************
 
@@ -286,6 +288,7 @@ EOF
 %attr(755,root,root) %{_libdir}/modules/extensions/libglx.so*
 %attr(755,root,root) %{_libdir}/modules/drivers/nvidia_drv.o
 
+%if %{with kernel}
 %files -n kernel-video-nvidia
 %defattr(644,root,root,755)
 /lib/modules/%{_kernel_ver}/misc/*.ko*
@@ -295,6 +298,7 @@ EOF
 %defattr(644,root,root,755)
 /lib/modules/%{_kernel_ver}smp/misc/*.ko*
 %endif
+%endif
 
 %files devel
 %defattr(644,root,root,755)
This page took 0.076162 seconds and 4 git commands to generate.